
import { StorageConfig } from './config';
import { StorageProvider } from './provider';
import { create_file_storage_provider } from './file';
// import { create_sqlite_storage_provider } from './sqlite';
// import { create_mariadb_storage_provider } from './mariadb';

export type * from './provider';

export function create_storage_provider(conf: StorageConfig) : StorageProvider {
	switch (conf.engine) {
		case 'file': return create_file_storage_provider(conf);
		// case 'sqlite': return create_sqlite_storage_provider(conf);
		// case 'mariadb': return create_mariadb_storage_provider(conf);
	}
}
